Subject: bug#33816: closed (Re: bug#33816: 24.4; scroll-up)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 21 Dec 2018 07:09:02 +0000

Your bug report

#33816: 24.4; scroll-up

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
33816: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=33816
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#33816: 24.4; scroll-up
From: Eli Zaretskii <[email-masked]>
To: A Kurn <[email-masked]>
Cc: [email-masked]
Date: Fri, 21 Dec 2018 09:08:30 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Thu, 20 Dec 2018 19:00:15 -0800
> From: A Kurn <[email-masked]>
> 
> When I scroll up, using scroll-up, and point is at the top of
> the screen, point moves so that the scroll can take place and
> still leave point on the screen.  Point remains in the first
> line.
> 
> OTOH, when I scroll down and point is on the last line, it jumps
> to the second-last line.  This is an error and new behavior.
> It should be on the last line, mirroring the behavior of
> scroll-up.

I can reproduce this in Emacs 24.4, but not in Emacs 25.1 nor the
latest pretest of Emacs 26.2.  Your Emacs version is quite old, so I
suggest to try a newer one (the last released version is 26.1, and
26.2 is going to be released soon), as it seems that this was a
problem in that old version that was already fixed.

Thanks.

Subject: 24.4; scroll-up
From: A Kurn <[email-masked]>
To: [email-masked]
Date: Thu, 20 Dec 2018 19:00:15 -0800
List-Id: <debbugs-submit.debbugs.gnu.org>

--text follows this line--

When I scroll up, using scroll-up, and point is at the top of
the screen, point moves so that the scroll can take place and
still leave point on the screen.  Point remains in the first
line.

OTOH, when I scroll down and point is on the last line, it jumps
to the second-last line.  This is an error and new behavior.
It should be on the last line, mirroring the behavior of
scroll-up.

This is a minor bug, but it has upset some of my scripts.
I've seen some really odd behavior also:  In some situations,
it actually unscrolls, canceling the scroll in order to keep
point on the screen.  I hope that fixing the first bug will
fix this also, so I don't have to reproduce the problem for
you.

Fix please.

Andrew

In GNU Emacs 24.4.1 (i586-pc-linux-gnu, GTK+ Version 3.14.5)
 of 2017-09-12 on x86-csail-01, modified by Debian
Windowing system distributor `The X.Org Foundation', version 11.0.11604000
System Description:	Debian GNU/Linux 8.11 (jessie)

Configured using:
 `configure --build i586-linux-gnu --prefix=/usr
 --sharedstatedir=/var/lib --libexecdir=/usr/lib
 --localstatedir=/var/lib --infodir=/usr/share/info
 --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --build i586-linux-gnu --prefix=/usr --sharedstatedir=/var/lib
 --libexecdir=/usr/lib --localstatedir=/var/lib
 --infodir=/usr/share/info --mandir=/usr/share/man --with-pop=yes
 --enable-locallisppath=/etc/emacs24:/etc/emacs:/usr/local/share/emacs/24.4/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.4/site-lisp:/usr/share/emacs/site-lisp
 --with-x=yes --with-x-toolkit=gtk3 --with-toolkit-scroll-bars
 'CFLAGS=-g -O2 -fstack-protector-strong -Wformat
 -Werror=format-security -Wall' CPPFLAGS=-D_FORTIFY_SOURCE=2
 LDFLAGS=-Wl,-z,relro'

Important settings:
  value of $LANG: C
  locale-coding-system: nil

Major mode: Lisp Interaction

Minor modes in effect:
  tooltip-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
C-x C-b C-x b <return> C-x 1 <up> <up> <up> <up> C-u 
C-k C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y C-y 
C-y C-y C-y C-y C-y C-y C-y C-h k <f12> C-h a s c r 
o l l <return> C-x o <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
<down> <down> <down> <down> <down> <down> <down> <down> 
C-x o C-x 1 <escape> x s c r o l l - u p <return> <escape> 
x s c r o l l - d o w n <return> C-x b <return> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> <up> <up> <up> <up> 
<up> <up> <up> <up> <up> <up> <up> C-x b <return> <escape> 
x s c r o l l - d o w n - l i n e <return> <down> <down> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <help-echo> <help-echo> 
<help-echo> <help-echo> <help-echo> <menu-bar> <help-menu> 
<send-emacs-bug-report>

Recent messages:
Loading debian-ispell...
Loading /var/cache/dictionaries-common/emacsen-ispell-default.el (source)...done
Loading debian-ispell...done
Loading /var/cache/dictionaries-common/emacsen-ispell-dicts.el (source)...done
Loading /etc/emacs/site-start.d/50dictionaries-common.el (source)...done
Loading /etc/emacs/site-start.d/50python-docutils.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Mark set [19 times]
<f12> is undefined
Type C-x 1 to remove help window.  
call-interactively: End of buffer

Load-path shadows:
/usr/share/emacs/24.4/site-lisp/debian-startup hides /usr/share/emacs/site-lisp/debian-startup
/usr/share/emacs/site-lisp/rst hides /usr/share/emacs/24.4/lisp/textmodes/rst
/usr/share/emacs24/site-lisp/dictionaries-common/flyspell hides /usr/share/emacs/24.4/lisp/textmodes/flyspell
/usr/share/emacs24/site-lisp/dictionaries-common/ispell hides /usr/share/emacs/24.4/lisp/textmodes/ispell

Features:
(shadow sort gnus-util mail-extr emacsbug message format-spec rfc822 mml
mml-sec mm-decode mm-bodies mm-encode mail-parse rfc2231 mailabbrev
gmm-utils mailheader sendmail rfc2047 rfc2045 ietf-drums mm-util
help-fns mail-prsvr mail-utils help-mode easymenu apropos time-date
tooltip electric uniquify ediff-hook vc-hooks lisp-float-type mwheel
x-win x-dnd tool-bar dnd fontset image regexp-opt fringe tabulated-list
newcomment lisp-mode prog-mode register page menu-bar rfn-eshadow timer
select scroll-bar mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev minibuffer nadvice loaddefs button faces cus-face macroexp
files text-properties overlay sha1 md5 base64 format env code-pages mule
custom widget hashtable-print-readable backquote make-network-process
dbusbind gfilenotify dynamic-setting system-font-setting
font-render-setting move-toolbar gtk x-toolkit x multi-tty emacs)

Memory information:
((conses 8 78921 4940)
 (symbols 24 17838 0)
 (miscs 20 104 653)
 (strings 16 9843 3702)
 (string-bytes 1 270538)
 (vectors 8 9188)
 (vector-slots 4 391435 4012)
 (floats 8 65 506)
 (intervals 28 799 195)
 (buffers 512 14)
 (heap 1024 29819 774))